Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
[Java] Class TableLayoutRow

    java.lang.Object
      groovy.swing.impl.TableLayoutRow

    public class TableLayoutRow

Represents a row in a table layout

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`TableLayoutRow(TableLayout tableLayoutTag)`

Method Summary
`void` | `addCell(TableLayoutCell tag)` Adds a new cell to this row
`void` | `addComponentsForRow()`
`int` | `getRowIndex()` @return the row index of this row

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### TableLayoutRow

    public TableLayoutRow(TableLayout tableLayoutTag)

Method Detail

### addCell

    public void addCell(TableLayoutCell tag)

  Adds a new cell to this row
  Parameters:
    `tag` - the td element

### addComponentsForRow

    public void addComponentsForRow()

### getRowIndex

    public int getRowIndex()

  Returns:
    the row index of this row

Groovy Documentation